Package org.apache.nutch.microformats.reltag

## Class RelTagParser

- java.lang.Object
- - org.apache.nutch.microformats.reltag.RelTagParser

- All Implemented Interfaces:
    `Configurable`, `HtmlParseFilter`, `Pluggable`

      public class RelTagParser
      extends Object
      implements HtmlParseFilter

  Adds microformat rel-tags of document if found.
  See Also:
    http://www.microformats.org/wiki/rel-tag

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `REL_TAG` |

    - ### Fields inherited from interface org.apache.nutch.parse.HtmlParseFilter

      `X_POINT_ID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RelTagParser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ParseResult` | `filter​(Content content, ParseResult parseResult, HTMLMetaTags metaTags, DocumentFragment doc)` | Scan the HTML document looking at possible rel-tags
    `Configuration` | `getConf()` |
    `void` | `setConf​(Configuration conf)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REL_TAG

          public static final String REL_TAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RelTagParser

          public RelTagParser()

  - ### Method Detail

    - #### filter

          public ParseResult filter​(Content content,
                                    ParseResult parseResult,
                                    HTMLMetaTags metaTags,
                                    DocumentFragment doc)

      Scan the HTML document looking at possible rel-tags
      Specified by:
        `filter` in interface `HtmlParseFilter`
      Parameters:
        `content` - the `Content` for a given response
        `parseResult` - the result of running on or more `Parser`'s on the content.
        `metaTags` - a populated `HTMLMetaTags` object
        `doc` - a `DocumentFragment` (DOM) which can be processed in the filtering process.
      Returns:
        a filtered `ParseResult`
      See Also:
        `Parser.getParse(Content)`

    - #### setConf

          public void setConf​(Configuration conf)

      Specified by:
        `setConf` in interface `Configurable`

    - #### getConf

          public Configuration getConf()

      Specified by:
        `getConf` in interface `Configurable`